<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateServiceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service', function (Blueprint $table) {
            $table->increments('id');
            $table->boolean('server_1_status')->default(1);
            $table->text('server_1_name');
            $table->boolean('server_2_status')->default(1);
            $table->text('server_2_name');
            $table->boolean('server_3_status')->default(1);
            $table->text('server_3_name');
            $table->boolean('server_4_status')->default(1);
            $table->text('server_4_name');
            $table->boolean('server_5_status')->default(1);
            $table->text('server_5_name');
            $table->boolean('server_6_status')->default(1);
            $table->text('server_6_name');
            $table->boolean('server_7_status')->default(1);
            $table->text('server_7_name');
            $table->boolean('server_8_status')->default(1);
            $table->text('server_8_name');
            $table->boolean('server_9_status')->default(1);
            $table->text('server_9_name');
            $table->boolean('server_10_status')->default(1);
            $table->text('server_10_name');
            $table->boolean('server_11_status')->default(1);
            $table->text('server_11_name');
            $table->boolean('toolsig_status')->default(1);
            $table->text('marquee_text');
            $table->text('total_database');
            $table->text('total_service');
            $table->text('admin_name');
            $table->text('admin_title');
            $table->text('facebook');
            $table->text('twitter');
            $table->text('instagram');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('service');
    }
}
